Bug 1279291 - Complete wayland session lockup or crash if pressing F11 under firefox
Complete wayland session lockup or crash if pressing F11 under firefox
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
25
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 22:50 EST by Alex Villacís Lasso
Modified: 2017-03-20 11:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Villacís Lasso 2015-11-08 22:50:30 EST
Description of problem:

In Fedora 23, a gnome-shell session running under X11 will put firefox in a full-screen window when pressing F11. This is the expected behavior.

When running the same version of firefox and gnome-session under wayland, pressing F11 instead locks up the session completely. The keyboard becomes unresponsive, the mouse freezes, the console switch keys (Ctrl-Alt-FN) do not work either. Once this happens, I have to hard-reset the machine.


Version-Release number of selected component (if applicable):
firefox-42.0-2.fc23.x86_64
gnome-session-3.18.1.2-1.fc23.x86_64
kernel-core-4.2.5-300.fc23.x86_64
libwayland-cursor-1.9.0-1.fc23.x86_64
gnome-session-wayland-session-3.18.1.2-1.fc23.x86_64
libwayland-client-1.9.0-1.fc23.i686
xorg-x11-server-Xwayland-1.18.0-0.6.20151027.fc23.x86_64
libwayland-client-1.9.0-1.fc23.x86_64
libwayland-client-devel-1.9.0-1.fc23.x86_64
libwayland-server-1.9.0-1.fc23.x86_64
wayland-devel-1.9.0-1.fc23.x86_64
libwayland-cursor-devel-1.9.0-1.fc23.x86_64
ibus-wayland-1.5.11-1.fc23.x86_64
libwayland-server-1.9.0-1.fc23.i686
mesa-libwayland-egl-11.0.3-1.20151012.fc23.i686
mesa-libwayland-egl-devel-11.0.3-1.20151012.fc23.x86_64
mesa-libwayland-egl-11.0.3-1.20151012.fc23.x86_64
libwayland-cursor-1.9.0-1.fc23.i686


How reproducible:
Always (under gnome wayland session)

Steps to Reproduce:
1. Start Gnome under Wayland
2. Start Firefox
3. Press F11

Actual results:
Session lockup.

Expected results:
Either a) fullscreen responsive window, as in X11, or b) failure to do anything, with session still responsive.

Additional info:

00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 10) (prog-if 00 [VGA controller])
	Subsystem: Foxconn International, Inc. Device 0ded
	Flags: bus master, fast devsel, latency 0, IRQ 27
	Memory at fdf00000 (32-bit, non-prefetchable) [size=512K]
	I/O ports at ff00 [size=8]
	Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Memory at fdb00000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Kernel driver in use: i915
	Kernel modules: i915

I have not tried checking network responsiveness.
Comment 1 Martin Stransky 2015-11-09 04:04:21 EST
Looks more like Gtk3 bug.
Comment 2 Alex Villacís Lasso 2015-11-09 10:53:20 EST
I have also reproduced the lockup when pressing F11 on dia, which is, as far as I know, an X11 application that uses GTK2. Therefore, I think this is more of an Xwayland issue.
Comment 3 Alex Villacís Lasso 2016-09-01 20:35:36 EDT
Still happening on Fedora 24 with:
firefox-48.0.1-1.fc24.i686
gnome-shell-3.20.4-1.fc24.i686
mutter-3.20.3-1.fc24.i686
xorg-x11-server-Xwayland-1.18.4-1.fc24.i686
gtk3-3.20.9-1.fc24.i686

I can ssh into the machine during the lockup, and apparently gnome-shell and firefox are both spinning.
Comment 4 Alex Villacís Lasso 2016-11-23 19:53:29 EST
Still happening on Fedora 25 with:
firefox-50.0-1.fc25.i686
gnome-shell-3.22.1-2.fc25.i686
mutter-3.22.1-8.fc25.i686
xorg-x11-server-Xwayland-1.19.0-0.8.rc2.fc25.i686
gtk3-3.22.2-2.fc25.i686

During the lockup, an attempt to switch to another virtual console with Ctrl-Alt-F3 and back ended up crashing Xwayland and gnome-shell.
Comment 5 Alex Villacís Lasso 2016-11-27 21:30:55 EST
Another crash. I found this in the system log from journalctl -b.

The program 'gnome-shell' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
 (Details: serial 1929 error_code 11 request_code 12 (core protocol) minor_code 0)
 (Note to programmers: normally, X errors are reported asynchronously;
  that is, you will receive the error a while after causing it.
  To debug your program, run it with the GDK_SYNCHRONIZE environment
  variable to change this behavior. You can then get a meaningful
  backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 6 Alex Villacís Lasso 2017-03-20 11:58:06 EDT
Still happening. I have seen that this crash is dependent on the Wayland display size. By changing the screen resolution I have seen that at up to 1024x768 Firefox correctly goes fullscreen without crashes, at 1152x864 it goes a little sluggish, and it crashes at 1280x960 and upwards.

Note You need to log in before you can comment on or make changes to this bug.